# 🦌 attobin

Attobin is a simple Rentry (~December 2024) clone that uses a Tetratto app as a backend.

Since Tetratto is used as a backend, you'll obviously need to create an app at <https://tetratto.com/developer>. Once you've created the app, scroll down to "Secret key" and roll the key. Copy the key since you'll need it for later.

## Usage

Once you've cloned the repository, cd into the `app` directory and run `cargo run -r`.

Before you run the server, however, you should create a `.env` file to store your API key (that you rolled earlier). In the `.env` file, put the following:

```ini
API_KEY=<your key>
```

So if your key was "ABCD123", you would have:

```ini
API_KEY=ABCD123
```

Once this file is in place, you can safely run the server. You can also optionally add a `PORT` variable in there to change the port number.

It's important to note that you're fairly limited on app storage without the Tetratto developer pass. You can manage your billing settings at <https://tetratto.com/settings#/account/billing>.

## Customization

You may notice the `public` and `templates_src` directories inside of `app/`. If you cd into a fresh directory and copy and paste these directories, you're able to edit any file within them and run the binary from that new directory to have it read these files.

You can build (without running) for release using the following command:

```
cargo build -r
```

Once you've built the binary, it'll be located at (from the root `attobin/` directory) `target/release/attobin`.

All templates are compiled with [nanoneo](https://trisua.com/t/nanoneo), so it's recommended that you familiarize yourself with that syntax.

## Attribution

Attobin is licensed under the AGPL-3.0 license. Tetratto is also licensed under the AGPL-3.0 license. Attobin is not affiliated with [Tetratto](https://tetratto.com) or [Rentry](https://rentry.co).
